Stripe Connect

Integrate your application with the Stripe API

🚀 Quickstart

Connect to Stripe Connect with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Stripe Connect.

Authorize Stripe Connect

Go to Connections -> Add Test Connection -> Authorize, then log in to Stripe Connect. Later, you'll let your users do the same directly from your app.

Call the Stripe API

Let's make your first request to the Stripe API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v1/customers" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Stripe Connect Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Stripe API documentation

🧩 Pre-built syncs & actions for Stripe Connect

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
cancel-payment-intentCancel a Stripe PaymentIntent.Action🔗 Github
capture-payment-intentCapture an uncaptured Stripe PaymentIntent.Action🔗 Github
create-checkout-sessionCreate a checkout session in Stripe.Action🔗 Github
create-credit-noteCreate a credit note in Stripe to adjust or refund a finalized invoice.Action🔗 Github
create-customerCreate a customer in Stripe.Action🔗 Github
create-invoice-itemCreate an invoice item in Stripe.Action🔗 Github
create-invoiceCreate an invoice in StripeAction🔗 Github
create-payment-intentCreate a payment intent in Stripe.Action🔗 Github
create-payment-methodCreate a payment method in Stripe.Action🔗 Github
create-priceCreate a price in Stripe.Action🔗 Github
create-productCreate a product in Stripe.Action🔗 Github
create-refundCreate a refund in Stripe.Action🔗 Github
create-setup-intentCreate a setup intent in Stripe.Action🔗 Github
create-subscriptionCreate a subscription in Stripe.Action🔗 Github
delete-customerDelete or archive a customer in Stripe.Action🔗 Github
delete-invoice-itemDelete an invoice item from Stripe.Action🔗 Github
delete-invoiceDelete or archive a invoice in Stripe.Action🔗 Github
delete-payment-intentCancel a Stripe PaymentIntent.Action🔗 Github
delete-priceArchive a price in Stripe.Action🔗 Github
delete-productDelete or archive a product in Stripe.Action🔗 Github
delete-setup-intentDelete or archive a setup intent in Stripe.Action🔗 Github
delete-subscriptionDelete or archive a subscription in Stripe.Action🔗 Github
finalize-invoiceFinalize a draft Stripe invoice.Action🔗 Github
get-checkout-sessionRetrieve a single checkout session from Stripe.Action🔗 Github
get-credit-noteRetrieve a single credit note from Stripe.Action🔗 Github
get-customerRetrieve a single customer from Stripe.Action🔗 Github
get-invoice-itemRetrieve a single invoice item from Stripe.Action🔗 Github
get-invoiceRetrieve a single invoice from Stripe.Action🔗 Github
get-payment-intentRetrieve a single payment intent from Stripe.Action🔗 Github
get-payment-methodRetrieve a single payment method from Stripe.Action🔗 Github
get-priceRetrieve a single price from Stripe.Action🔗 Github
get-productRetrieve a single product from Stripe.Action🔗 Github
get-refundRetrieve a single refund from Stripe.Action🔗 Github
get-setup-intentRetrieve a single setup intent from Stripe.Action🔗 Github
get-subscriptionRetrieve a single subscription from Stripe.Action🔗 Github
list-checkout-sessionsList checkout sessions from Stripe.Action🔗 Github
list-credit-notesList credit notes from Stripe.Action🔗 Github
list-customersList customers from Stripe.Action🔗 Github
list-invoice-itemsList invoice items from Stripe.Action🔗 Github
list-invoicesList invoices from Stripe.Action🔗 Github
list-payment-intentsList payment intents from Stripe.Action🔗 Github
list-payment-methodsList payment methods from Stripe.Action🔗 Github
list-pricesList prices from Stripe.Action🔗 Github
list-productsList products from Stripe.Action🔗 Github
list-refundsList refunds from Stripe.Action🔗 Github
list-setup-intentsList setup intents from Stripe.Action🔗 Github
list-subscriptionsList subscriptions from Stripe.Action🔗 Github
pay-invoicePay a Stripe invoice.Action🔗 Github
update-customerUpdate a customer in Stripe.Action🔗 Github
update-invoice-itemUpdate an invoice item in Stripe.Action🔗 Github
update-invoiceUpdate an invoice in Stripe.Action🔗 Github
update-payment-intentUpdate a payment intent in Stripe.Action🔗 Github
update-priceUpdate a price in Stripe.Action🔗 Github
update-productUpdate a product in StripeAction🔗 Github
update-refundUpdate a refund in Stripe.Action🔗 Github
update-setup-intentUpdate a setup intent in Stripe.Action🔗 Github
update-subscriptionUpdate a subscription in Stripe.Action🔗 Github
void-credit-noteVoid a Stripe credit note.Action🔗 Github
void-invoiceVoid a Stripe invoice.Action🔗 Github
checkout-sessionsSync checkout sessions from Stripe.Sync🔗 Github
credit-notesSync credit notes from Stripe.Sync🔗 Github
customersSync customers from Stripe. Incrementally fetches newly created customers using a creation-time checkpoint. Updates to existing customers are not captured; use a customer-events sync for update tracking.Sync🔗 Github
invoice-itemsSync invoice items from Stripe.Sync🔗 Github
invoicesSync invoices from Stripe.Sync🔗 Github
payment-intentsSync payment intents from Stripe.Sync🔗 Github
payment-methodsSync payment methods from StripeSync🔗 Github
pricesSync prices from Stripe.Sync🔗 Github
productsSync products from Stripe.Sync🔗 Github
refundsSync refunds from Stripe.Sync🔗 Github
setup-intentsSync setup intents from Stripe.Sync🔗 Github
subscriptionsSync subscriptions from Stripe.Sync🔗 Github

On this page